<?php
//============================================================+
// File name   : cp_select_company.php                         
// Begin       : 2002-04-26                                    
// Last Update : 2002-09-29                                    
//                                                             
// Description : Show list of Companies                        
//                                                             
//
// Author: Nicola Asuni
//
// (c) Copyright:
//               Tecnick.com S.r.l.
//               Via Ugo Foscolo n.19
//               09045 Quartu Sant'Elena (CA)
//               ITALY
//               www.tecnick.com
//               info@tecnick.com
//
// License: GNU GENERAL PUBLIC LICENSE v.2
//          http://www.gnu.org/copyleft/gpl.html
//============================================================+

require_once('../../shared/config/cp_extension.inc');
require_once('../config/cp_config.'.CP_EXT);

$pagelevel = K_AUTH_ADMIN_CP_SELECT_COMPANY;
require_once('../../shared/code/cp_authorization.'.CP_EXT);

$thispage_title = $l['t_company_select'];

require_once('../code/cp_page_header.'.CP_EXT);
F_print_error(0, ""); //clear header messages;

require_once('../code/cp_functions_company_select.'.CP_EXT);
F_select_company("", $order_field, $orderdir, $firstrow, $rowsperpage);

require_once('../code/cp_page_footer.'.CP_EXT);

//============================================================+
// END OF FILE                                                 
//============================================================+
?>
