<?php
//============================================================+
// File name   : cp_show_awards.php                            
// Begin       : 2001-11-25                                    
// Last Update : 2002-09-29                                    
//                                                             
// Description : Award List Preview                            
//                                                             
//
// Author: Nicola Asuni
//
// (c) Copyright:
//               Tecnick.com S.r.l.
//               Via Ugo Foscolo n.19
//               09045 Quartu Sant'Elena (CA)
//               ITALY
//               www.tecnick.com
//               info@tecnick.com
//
// License: GNU GENERAL PUBLIC LICENSE v.2
//          http://www.gnu.org/copyleft/gpl.html
//============================================================+

require_once('../../shared/config/cp_extension.inc');
require_once('../config/cp_config.'.CP_EXT);

$pagelevel = K_AUTH_ADMIN_CP_SHOW_AWARDS;
require_once('../../shared/code/cp_authorization.'.CP_EXT);

$thispage_title = $l['t_awards_show'];

require_once('../code/cp_page_header.'.CP_EXT);
F_print_error(0, ""); //clear header messages;

require_once('../../shared/code/cp_functions_awards.'.CP_EXT);
F_select_awards($wherequery, $order_field, $orderdir, $firstrow, K_MAX_ROWS_PER_PAGE);
?>
<!-- ====================================================== -->
<?php require_once('../code/cp_page_footer.'.CP_EXT);

//============================================================+
// END OF FILE                                                 
//============================================================+
?>
