<?php
//============================================================+
// File name   : cp_ec_order.php                               
// Begin       : 2002-08-29                                    
// Last Update : 2003-01-26                                    
//                                                             
// Description : Create order from shopping cart               
//                                                             
//
// Author: Nicola Asuni
//
// (c) Copyright:
//               Tecnick.com S.r.l.
//               Via Ugo Foscolo n.19
//               09045 Quartu Sant'Elena (CA)
//               ITALY
//               www.tecnick.com
//               info@tecnick.com
//
// License: GNU GENERAL PUBLIC LICENSE v.2
//          http://www.gnu.org/copyleft/gpl.html
//============================================================+

require_once('../../shared/config/cp_extension.inc');
require_once('../config/cp_config.'.CP_EXT);

$pagelevel = 1;
require_once('../../shared/code/cp_authorization.'.CP_EXT);

// The following are values for META TAGS
// (leave void for default values)
$thispage_author = "Nicola Asuni"; // name of page author
$thispage_reply = ""; // email address
$thispage_style = ""; // CSS page link
$thispage_title = $l['t_order']; // page title
$thispage_description = ""; // page description
$thispage_keywords = ""; // page keywords

require_once('../code/cp_page_header.'.CP_EXT);
F_print_error(0, ""); //clear header messages; ?>
<!-- ====================================================== -->
<?php
if (isset($_REQUEST['uid']) AND isset($_REQUEST['tid']) AND isset($_REQUEST['vc'])) {
	$verifycode = F_generate_verification_code($_REQUEST['uid'], 4);
	if ($_REQUEST['vc'] == $verifycode) {
		require_once('../../shared/code/cp_functions_ec_order.'.CP_EXT);
		F_create_new_ec_order($_REQUEST['uid'], $_REQUEST['tid'], true, true, false);
	}
	else {
		F_print_error("ERROR", $l['m_unauthorized_access']);
	}
}
else {
	F_print_error("ERROR", $l['m_unauthorized_access']);
}
?>
<!-- ====================================================== -->
<?php require_once('../code/cp_page_footer.'.CP_EXT);

//============================================================+
// END OF FILE                                                 
//============================================================+
?>
