<?php
//============================================================+
// File name   : cp_ecommerce.php                              
// Begin       : 2002-08-25                                    
// Last Update : 2004-08-20                                    
//                                                             
// Description : General E-Commerce settings                   
//                                                             
//
// Author: Nicola Asuni
//
// (c) Copyright:
//               Tecnick.com S.r.l.
//               Via Ugo Foscolo n.19
//               09045 Quartu Sant'Elena (CA)
//               ITALY
//               www.tecnick.com
//               info@tecnick.com
//
// License: GNU GENERAL PUBLIC LICENSE v.2
//          http://www.gnu.org/copyleft/gpl.html
//============================================================+

define ("K_DOCUMENTS_LANGUAGE", ""); //fix PDF document language code - leave void to use selected language

define ("K_MONEY_CURRENCY_ISO_ALPHA_CODE", "EUR"); //ISO 4217 currency alphabetic code (3 uppercase letters)

define ("K_BARCODE_TYPE", "C128B"); //barcode type (used in PDF documents) - see barcode class on shared/barcode directory for more info

define ("K_EC_GENERAL_DISCOUNT", 0); //default general discount for e-commerce

//invoices settings
define ("K_EC_INVOICE_DOC_ID", 1); //ID of the invoice document for e-commerce sales

define ("K_EC_DISPLAY_TAX_2", false); //if true display additional (second) tax field (this tax will be applied to the net amount)
define ("K_EC_DISPLAY_TAX_3", false); //if true display additional (third) tax field (this tax will be applied to the total amount (net + previous taxes).

// Orders Settings
define ("K_EC_ORDER_DOC_ID", 3); //ID of the order document for e-commerce sales
define ("K_EC_ORDER_EXPIRY_TIME", K_SECONDS_IN_YEAR); //default expiration time for orders
define ("K_EC_ORDER_SUBJECT", ""); //Default subject for orders (only one language)
define ("K_EC_ORDER_INTRO", ""); //Default intro for orders (only one language)
define ("K_EC_ORDER_FOOTER", ""); //Default intro for orders (only one language)

// Return Goods Authorization (RGA) settings
define ("K_EC_RGA_DOC_ID", 5); //ID of the Return Goods Authorization (RGA) document for e-commerce sales
define ("K_EC_RGA_EXPIRY_TIME", K_SECONDS_IN_YEAR); //default expiration time for orders
define ("K_EC_RGA_SUBJECT", ""); //Default subject for orders (only one language)
define ("K_EC_RGA_INTRO", ""); //Default intro for orders (only one language)
define ("K_EC_RGA_FOOTER", ""); //Default intro for orders (only one language)

// E-commerce risk limit
define ("K_EXPENSIVE_PURHCASE_LIMIT", 300); // shopping cart total limit that require specific usel level
define ("K_EXPENSIVE_PURHCASE_LEVEL", 1); // user level required to make purchases with total amount above K_EXPENSIVE_PURHCASE_LIMIT limit

//============================================================+
// END OF FILE                                                 
//============================================================+
?>
