<?php
//============================================================+
// File name   : cp_polls_results.php                          
// Begin       : 2001-10-11                                    
// Last Update : 2002-09-29                                    
//                                                             
// Description : polls results with statistics                 
//				(analyze K_TABLE_POLLS_VOTES table)            
//                                                             
//
// Author: Nicola Asuni
//
// (c) Copyright:
//               Tecnick.com S.r.l.
//               Via Ugo Foscolo n.19
//               09045 Quartu Sant'Elena (CA)
//               ITALY
//               www.tecnick.com
//               info@tecnick.com
//
// License: GNU GENERAL PUBLIC LICENSE v.2
//          http://www.gnu.org/copyleft/gpl.html
//============================================================+

require_once('../../shared/config/cp_extension.inc');
require_once('../config/cp_config.'.CP_EXT);

$pagelevel = K_AUTH_ADMIN_CP_POLLS_RESULTS;
require_once('../../shared/code/cp_authorization.'.CP_EXT);

$thispage_title = $l['t_polls_results'];

require_once('../code/cp_page_header.'.CP_EXT);
F_print_error(0, ""); //clear header messages;

require_once('../../shared/code/cp_functions_polls_results.'.CP_EXT);
$fullselect = TRUE;
$barsmaxlength = 200; // max length of the graph bars in pixels
$barswidth = 10; // width of the graph bars in pixels (10,15,20,25,30,35,40)
F_show_poll_results($poll_language, $poll_id, $fullselect, $barsmaxlength, $barswidth); 
?>
<!-- ====================================================== -->
<?php require_once('../code/cp_page_footer.'.CP_EXT);

//============================================================+
// END OF FILE                                                 
//============================================================+
?>
