<?php
//============================================================+
// File name   : cp_show_ec_products.php                       
// Begin       : 2001-09-21                                    
// Last Update : 2006-02-08
//                                                             
// Description : Display products list                         
//                                                             
//
// Author: Nicola Asuni
//
// (c) Copyright:
//               Tecnick.com S.r.l.
//               Via Ugo Foscolo n.19
//               09045 Quartu Sant'Elena (CA)
//               ITALY
//               www.tecnick.com
//               info@tecnick.com
//
// License: GNU GENERAL PUBLIC LICENSE v.2
//          http://www.gnu.org/copyleft/gpl.html
//============================================================+

require_once('../../shared/config/cp_extension.inc');
require_once('../config/cp_config.'.CP_EXT);

$pagelevel = K_AUTH_ADMIN_CP_SHOW_EC_PRODUCTS;
require_once('../../shared/code/cp_authorization.'.CP_EXT);

$thispage_title = $l['t_products_show'];

require_once('../code/cp_page_header.'.CP_EXT);
F_print_error(0, ""); //clear header messages; ?>
<!-- ====================================================== -->
<?php
require_once('../../shared/code/cp_functions_ec_products.'.CP_EXT);
if (isset($_REQUEST['pid'])) {
	//display single product
	F_display_single_product($_REQUEST['pid']);
}
else {
	//display product list
	F_show_select_products($wherequery, $order_field, $orderdir, $firstrow, $rowsperpage);
}
?>
<!-- ====================================================== -->
<?php require_once('../code/cp_page_footer.'.CP_EXT);

//============================================================+
// END OF FILE                                                 
//============================================================+
?>
