<?php
//============================================================+
// File name   : cp_logout.php                                 
// Begin       : 2001-09-28                                    
// Last Update : 2005-06-29                                    
//                                                             
// Description : destroy user session (logout)                 
//
// Author: Nicola Asuni
//
// (c) Copyright:
//               Tecnick.com S.r.l.
//               Via Ugo Foscolo n.19
//               09045 Quartu Sant'Elena (CA)
//               ITALY
//               www.tecnick.com
//               info@tecnick.com
//
// License: GNU GENERAL PUBLIC LICENSE v.2
//          http://www.gnu.org/copyleft/gpl.html
//============================================================+

require_once('../../shared/config/cp_extension.inc');
require_once('../config/cp_config.'.CP_EXT);
require_once('../../shared/code/cp_functions_session.'.CP_EXT);

// Destroys all data registered to a session
session_destroy();

F_print_error(0, ""); //clear error messages
$login_page ="../code/cp_login.".CP_EXT."";

echo "<"."?xml version=\"1.0\" encoding=\"".$l['a_meta_charset']."\"?".">\n";
echo "<!DOCTYPE html PUBLIC \"-//W3C//DTD XHTML 1.0 Transitional//EN\" \"DTD/xhtml1-transitional.dtd\">\n";
echo "<html xmlns=\"http://www.w3.org/1999/xhtml\" xml:lang=\"".$l['a_meta_language']."\" lang=\"".$l['a_meta_language']."\" dir=\"".$l['a_meta_dir']."\">\n";
echo "<head>\n";
echo "<title>LOGOUT</title>\n";	
echo "<meta http-equiv=\"refresh\" content=\"0;url=".$login_page."\" />\n"; //reload page
echo "</head>\n";
echo "<body>\n";
echo "<a href=\"".$login_page."\" target=\"_top\">LOGOUT</a>\n";
echo "</body>\n";
echo "</html>\n";

//============================================================+
// END OF FILE                                                 
//============================================================+
?>
