<?php
//============================================================+
// File name   : cp_functions_aiocpcode_editor.php             
// Begin       : 2002-02-20                                    
// Last Update : 2005-06-29                                    
//                                                             
// Description : AIOCP Code Editor                             
//                                                             
//
// Author: Nicola Asuni
//
// (c) Copyright:
//               Tecnick.com S.r.l.
//               Via Ugo Foscolo n.19
//               09045 Quartu Sant'Elena (CA)
//               ITALY
//               www.tecnick.com
//               info@tecnick.com
//
// License: GNU GENERAL PUBLIC LICENSE v.2
//          http://www.gnu.org/copyleft/gpl.html
//============================================================+

// ------------------------------------------------------------
// Display AIOCP Code EDITOR
// $callingform = name of the calling form
// $callingfield = name of the calling form field (where text code will be sent)
// ------------------------------------------------------------
function AIOCPcodeEditor($callingform, $callingfield) {
	global $l, $db, $aiocp_dp;
	require_once('../../shared/config/cp_extension.inc');
	require_once('../config/cp_config.'.CP_EXT);

	require_once('../../shared/code/cp_functions_form.'.CP_EXT);
?>

<!-- ====================================================== -->
<form action="<?php echo $_SERVER['SCRIPT_NAME']; if (isset($aiocp_dp)) {echo "?aiocp_dp=".$aiocp_dp."";} ?>" method="post" enctype="multipart/form-data" name="form_aiocpcodeeditor" id="form_aiocpcodeeditor">

<table class="edge" border="0" cellspacing="1" cellpadding="2">

<tr class="edge">
<th class="edge"><?php echo $l['w_aiocpcode']; ?></th>
</tr>

<tr class="edge">
<td class="edge">

<table class="fill" border="0" cellspacing="2" cellpadding="1">

<tr class="fillO" align="left" valign="top">
<!-- TEXTAREA ==================== -->
<td class="fillOE" align="center" valign="top">

<textarea cols="60" rows="15" name="aiocptext" id="aiocptext" onSelect="FJ_store_caret (this);" onclick="FJ_store_caret (this);" onKeyUp="FJ_store_caret (this);"></textarea>
</td>
</tr>

<tr class="fillE" align="left" valign="top">
<td class="fillEE" align="left" valign="top">
<?php //select smile
F_generic_button("addsmile",$l['w_emoticon'],"selectWindow=window.open('cp_select_emoticons.".CP_EXT."?formname=form_aiocpcodeeditor&amp;idfield=aiocptext&amp;fieldtype=2&amp;fsubmit=0','selectWindow','dependent,height=300,width=300,menubar=no,resizable=yes,scrollbars=yes,status=no,toolbar=no')");?>

<?php //select avatar
F_generic_button("addavatar",$l['w_avatar'],"selectWindow=window.open('cp_select_avatars.".CP_EXT."?formname=form_aiocpcodeeditor&amp;idfield=aiocptext&amp;fieldtype=2&amp;fsubmit=0','selectWindow','dependent,height=300,width=300,menubar=no,resizable=yes,scrollbars=yes,status=no,toolbar=no')");?>

<?php
 //select flag
F_generic_button("addflag",$l['w_flag'],"selectWindow=window.open('cp_select_country.".CP_EXT."?formname=form_aiocpcodeeditor&amp;idfield=aiocptext&amp;fieldtype=2&amp;fsubmit=0','selectWindow','dependent,height=300,width=300,menubar=no,resizable=yes,scrollbars=yes,status=no,toolbar=no')");?>

&nbsp;&nbsp;

<!-- AIOCP TAGS ==================== -->
<select name="tag_name" id="tag_name" size="0">
	<option value="">--- TAGS ---</option>
	<option value="[url]">url</option>
	<option value="[urll]">url local</option>
	<option value="[email]">email</option>
	<option value="[image]">image</option>
	<option value="[code]">code</option>
	<option value="[quote]">quote</option>
	<option value="[small]">small</option>
	<option value="[b]">bold</option>
	<option value="[i]">italic</option>
	<option value="[ulist]">unordered list</option>
	<option value="[olist]">ordered list</option>
	<option value="[li]">list item</option>
	<option value="[sub]">subscript</option>
	<option value="[sup]">superscript</option>
</select>
<?php F_generic_button("addtag",$l['w_add'],"FJ_insert_tag (document.form_aiocpcodeeditor.aiocptext,document.form_aiocpcodeeditor.tag_name.options[document.form_aiocpcodeeditor.tag_name.selectedIndex].value)"); ?>
</td>
</tr>

</table>

</td>
</tr>
<tr align="left" valign="top" class="edge">
<td align="center" class="edge">
<?php F_generic_button("cancel",$l['w_cancel'],"window.close()"); ?>
<?php F_generic_button("pastecode",$l['w_submit'],"window.opener.document.".$callingform.".".$callingfield.".value=document.form_aiocpcodeeditor.aiocptext.value; window.close()"); ?>
</td>
</tr>

</table>
</form>


<form action="cp_aiocpcode_preview.<?php echo CP_EXT; ?>" method="post" enctype="multipart/form-data" name="form_aiocpcodepreview" id="form_aiocpcodepreview" target="_blank">
<input type="hidden" name="aiocpcode" id="aiocpcode" value="<?php echo $aiocptext; ?>" />
<?php F_generic_submit_button("form_aiocpcodepreview","menu_mode",$l['w_preview'],"document.form_aiocpcodepreview.aiocpcode.value=document.form_aiocpcodeeditor.aiocptext.value"); ?>
</form>

<script language="JavaScript" src="<?php echo K_PATH_SHARED_JSCRIPTS; ?>inserttag.js" type="text/javascript"></script>

<script language="JavaScript" type="text/javascript">
//<![CDATA[
//get text from calling form
document.form_aiocpcodeeditor.aiocptext.value=window.opener.document.<?php echo $callingform; ?>.<?php echo $callingfield; ?>.value;
//]]>
</script>

<!-- ====================================================== -->
<?php 
return;
}

//============================================================+
// END OF FILE                                                 
//============================================================+
?>
